import graph;
size(200,200,IgnoreAspect);
real f(real x) {return x^2/(x-2);}
pair F(real x) {return (x,f(x));}
draw(graph(f,-6,1.83,operator ..),red+2);
draw(graph(f,2.25,6,operator ..),red+2);
xaxis("$x$",Arrow(HookHead,size=4),above=true);
yaxis("$y$",Arrow(HookHead,size=4),above=true);
dot((0,0),4+black);
dot(F(4),4+black);
label("$(4,8)$",F(4),S);
xequals(2,ymin=f(1.83),ymax=f(2.25),dashed);
label("$\displaystyle f(x)=\frac {x^2}{(x-2)}$",F(0),NW);
label("$x=2$",F(1.83),SSE);

