import graph;
//size(200,200,IgnoreAspect);
//Keep aspect here since otherwise (pi,pi) coordinate looks wrong.
size(200,200);
real f(real x) {return x-2*sin(x);}
pair F(real x) {return (x,f(x));}
draw(graph(f,0,2*pi,operator ..),red+2);
xaxis("$x$",xmax=7,Arrow(HookHead,size=4),above=true);
yaxis("$y$",Arrow(HookHead,size=4));
dot(F(0),4+black);
label("$(0,0)$",F(0),NW);
dot(F(5*pi/3),4+black);
label("$\displaystyle\left(\frac{5\pi}{3},\frac{5\pi}{3}+\sqrt{3}\right)$",F(5*pi/3),N);
dot(F(pi/3),4+black);
label("$\displaystyle\left(\frac{\pi}{3},\frac{\pi}{3}-\sqrt{3}\right)$",F(pi/3),SSE);
dot(F(pi),4+black);
label("$\displaystyle(\pi,\pi)$",F(pi),SE);
xtick("$1.9$",1.895494267,NW);
label("$f(x)=x-2\sin x$",F(3.8),W);

