import graph;
size(200,200);
real f(real x) {return x^2/(x^2-3);}
pair F(real x) {return (x,f(x));}
draw(graph(f,-5,-2,operator ..),red+2);
draw(graph(f,-1.5,1.5,operator ..),red+2);
draw(graph(f,2,5,operator ..),red+2);
xaxis("$x$",Arrow(HookHead,size=4),above=true);
yaxis("$y$",Arrow(HookHead,size=4),above=true);
dot(F(0),4+black);
label("$(0,0)$",F(0),N);
xequals(-sqrt(3),ymin=f(1.5),ymax=f(2),dashed);
xequals(sqrt(3),ymin=f(1.5),ymax=f(2),dashed);
yequals(1,xmin=-5,xmax=5,dashed);
label("$f(x)=\frac {x^2}{x^2-3}$",F(2.1),NE);
label("$x=-\sqrt{3}$",(-1.8,f(1.48)),W);
label("$x=\sqrt{3}$",(1.8,f(1.48)),E);
label("$y=1$",(-5,1),SE);

