import graph;
size(200,200);
real f(real x) {
  if ((-1.0<x) && (x<0.0)) {
    return -abs(x)*(abs(x+1))^(3/5);
  } else {
    return abs(x)*(abs(x+1))^(3/5);
  }
}
pair F(real x) {return (x,f(x));}
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
draw(graph(f,-2,1,operator ..),red+2);
dot(F(-5/4),4+black);
label("$\left(-\frac{5}{4},0.54\right)$",F(-5/4),SW);
dot(F(-1),4+black);
label("$(-1,0)$",F(-1),NE);
dot(F(-5/8),4+black);
label("$\left(-\frac{5}{8},-0.35\right)$",F(-5/8),S);
dot(F(0),4+black);
label("$f(x)=x(x+1)^{\frac{3}{5}}$",F(-1.75),ENE);

