import graph;
size(250,0);
real f(real x) {return exp(x)-1;}
pair F(real x) {return (x,f(x));}
real g(real x) {return exp(.67)*(x-.67)+exp(.67)-1;}
pair G(real x) {return (x,g(x));}
//xaxis("$x$",Arrow(HookHead,size=4));
// Use Step= to set tick steps.
// OmitFormat removes label, OmitTick removes tick and label.
// endlabel=false removes the last label.
// n=1 removes small ticks.
xaxis(xmax=1.5,shift(-7,-10)*Label("$x$",align=E),Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10)),OmitFormat(0),OmitTick(-1,0,1)));
//yaxis("$y$",Arrow(HookHead,size=4));
yaxis(shift(-8,-7)*Label("$y$",align=N),Arrow(HookHead,size=4),ticks=Ticks(n=1,Size=3,Label(fontsize(10)),OmitFormat(0),OmitTick(0,1,2)));
draw(graph(f,-.1,1.1,operator ..),red+2);
draw(graph(g,.47,1.1,operator ..),blue+2);
xequals(1,ymin=f(.67),ymax=f(1),dotted+1);
yequals(f(.67),xmin=.67,xmax=1,dotted+1);
labely("$f(x+\Delta x)$",f(1),W);
labely("$f(x)$",f(.67),W);
//label("$y=f(x)$",F(1.35),W);
//label("$y=m(x-1)+1$",G(1.35),E);
dot(F(.67),L=Label("$P(x,f(x))$",align=NW),6+black);
dot(F(1),L=Label("$Q(x+\Delta x,f(x+\Delta x))$",align=NW),6+black);
dot(G(1),4+black);
//label("$(-2,4)$",F(-2),W);
label(Label("$dy$",fontsize(10)),(1,(f(.67)+g(1))/2),E);
label(Label("$\Delta y$",fontsize(10)),(1.1,(f(.67)+f(1))/2),E);
label(Label("$dx=\Delta x$",fontsize(10)),(.84,f(.67)),S);
xequals(.67,ymin=-.045,ymax=f(.67),black+dashed);
xequals(1,ymin=-.045,ymax=f(.67),black+dashed);
yequals(f(.67),xmin=-.045,xmax=.67,black+dashed);
yequals(f(1),xmin=-.045,xmax=1,black+dashed);
yequals(f(.67),xmin=1.05,xmax=1.11,black);
yequals(f(.67),xmin=1.14,xmax=1.2,black);
yequals(g(1),xmin=1.05,xmax=1.11,black);
yequals(f(1),xmin=1.14,xmax=1.2,black);
draw((1.08,(f(.67)+g(1))/2-.06){down}..{down}(1.08,f(.67)),Arrow);
draw((1.08,(f(.67)+g(1))/2+.06){up}..{up}(1.08,g(1)),Arrow);
draw((1.17,(f(.67)+f(1))/2-.06){down}..{down}(1.17,f(.67)),Arrow);
draw((1.17,(f(.67)+f(1))/2+.06){up}..{up}(1.17,f(1)),Arrow);
label("$x$", (.67,-.085),S);
label("$x+\Delta x$", (1,-.063),S);
