// This imports our locally defined custom asymptote functions
import localcalculus;
size(300,150,IgnoreAspect);
real low=.2, high=.8;
real f(real x) {return (x-.7)^2+.2;}
pair F(real x) {return (x,f(x));}
drawfunc(f,0.1,low,drawpen=red+dashed,fillpen=invisible);
drawfunc(f,high,.9,drawpen=red+dashed,fillpen=invisible);
drawfunc(f,low,high,drawpen=red+1,fillpen=lightgrey);
xaxis("$x$",Arrow(HookHead,size=4),above=true);
yaxis("$y$",Arrow(HookHead,size=4));
real d=.03;
label("$a$", (low,-d),S);
label("$b$", (high,-d),S);
xequals(low,ymin=-.03,ymax=f(low),dashed);
xequals(high,ymin=-.03,ymax=f(high),dashed);
label("$S$", ((low+high)/2,.07),N);
label("$y=f(x)$", F(.15),NE);
