// This imports our locally defined custom asymptote functions
import localcalculus;
size(300,150,IgnoreAspect);
real low=-1.2, high=1.2;
real x0=-0.918684, x1=-0.335629, x2=1.051201;
real f(real x) {return 3*x*(x-1)*(x+1);}
pair F(real x) {return (x,f(x));}
real g(real x) {return exp(-x^2);}
pair G(real x) {return (x,g(x));}
drawfunc(f,low,x0,drawpen=red+dashed,fillpen=invisible);
drawfunc(g,low,x0,drawpen=blue+dashed,fillpen=invisible);
drawfunc(f,x0,x1,drawpen=red+1,fillpen=lightgrey);
drawfunc(g,x0,x1,drawpen=blue+1,fillpen=white);
drawfunc(g,x1,x2,drawpen=blue+1,fillpen=grey);
drawfunc(f,x1,0,drawpen=red+1,fillpen=white);
drawfunc(f,0,1,drawpen=red+1,fillpen=grey);
drawfunc(f,1,x2,drawpen=red+1,fillpen=white);
drawfunc(f,x2,high,drawpen=red+dashed,fillpen=invisible);
drawfunc(g,x2,high,drawpen=blue+dashed,fillpen=invisible);
xaxis("$x$",Arrow(HookHead,size=4),above=true);
yaxis("$y$",Arrow(HookHead,size=4),above=true);
real d=.03;
label("$x_0$", (x0,-d),S);
label("$x_1$", (x1,-d),S);
label("$x_2$", (x2,-d),S);
xequals(x0,ymin=-.03,ymax=f(x0),dashed);
xequals(x1,ymin=-.03,ymax=f(x1),dashed);
xequals(x2,ymin=-.03,ymax=f(x2),dashed);
label("$A_1$", (-.65,.68),N);
label("$A_2$", (.4,.13),N);
label(Label("$y=h_1(x)$",black), F(-.6), NW);
label(Label("$y=h_2(x)$",black), G(-.8),SE);
label(Label("$y=h_1(x)$",black), F(.5),SW);
label(Label("$y=h_2(x)$",black), G(.5),NE);
