// This imports our locally defined custom asymptote functions
import localcalculus;
size(300,200,IgnoreAspect);
real low=-1, high=1;
real f(real x) {return 4-x^2;}
pair F(real x) {return (x,f(x));}
real g(real x) {return x^2+2;}
pair G(real x) {return (x,g(x));}
drawfunc(f,-1.6,low,drawpen=red+dashed+1,fillpen=invisible);
drawfunc(f,high,1.6,drawpen=red+dashed+1,fillpen=invisible);
//drawfunc(f,low,high,drawpen=red+2,fillpen=lightgrey);
drawfunc(f,low,high,drawpen=red+2,fillpen=invisible);
drawfunc(g,-1.6,low,drawpen=blue+dashed+1,fillpen=invisible);
drawfunc(g,high,1.6,drawpen=blue+dashed+1,fillpen=invisible);
//drawfunc(g,low,high,drawpen=blue+2,fillpen=white);
drawfunc(g,low,high,drawpen=blue+2,fillpen=invisible);
xaxis("$x$",Arrow(HookHead,size=4),above=true);
yaxis("$y$",ymax=5.2,Arrow(HookHead,size=4),above=true);
xtick("$-1$",-1);
xtick("$1$",1);
label("$A$", (.15,3),E);
label(Label("$y=f(x)=4-x^2$",black), F(.15), NE);
label(Label("$y=g(x)=x^2+2$",black), G(-.15),SW);
dot(F(-1),5+black);
label("$(-1,3)$",F(-1)-(.1,0),W);
dot(F(1),5+black);
label("$(1,3)$",F(1)+(.1,0),E);
dot(F(0),5+black);
label("$(0,4)$",F(0),NW);
dot(G(0),5+black);
label("$(0,2)$",G(0),SE);
