// This imports our locally defined custom asymptote functions
import localcalculus;
size(300,150,IgnoreAspect);
real low=.2, high=.8;
real f(real x) {return sin(x+1.3)^2+.2;}
pair F(real x) {return (x,f(x));}
drawfunc(f,0.1,low,drawpen=red+dashed,fillpen=invisible);
drawfunc(f,high,.9,drawpen=red+dashed,fillpen=invisible);
drawfunc(f,low,high,drawpen=red+1,fillpen=lightgrey);
drawfunc(f,low,high-.1,drawpen=red+1,fillpen=grey);
xaxis("$x$",Arrow(HookHead,size=4));
yaxis("$y$",Arrow(HookHead,size=4));
real d=.03;
label("$a$", (low,-d),S);
label("$x$", (high-.1,-d),S);
label("$x+\Delta x$", (high,-.05*d),S);
xequals(low,ymin=-.03,ymax=f(low),dashed);
xequals(high-.1,ymin=-.03,ymax=f(high-.1),dashed);
xequals(high,ymin=-.03,ymax=f(high),dashed);
label(Label("$g(x)=$Area", white), ((low+high)/2-.1/2,.6),N);
draw((.555,.69)--(high-.1,.69),black,Arrow(size=6));
draw((.35,.69)--(low,.69),black,Arrow(size=6));
label(Label("$g(x+\Delta x)=$Area", white), ((low+high)/2,.3),N);
draw((.65,.39)--(high,.39),black,Arrow(size=6));
draw((.35,.39)--(low,.39),black,Arrow(size=6));
label("$y=f(x)$", F(.15),NE);
