// This imports our locally defined custom asymptote functions
import localcalculus;
size(300,150,IgnoreAspect);
real low=.2, high=.8;
real f(real x) {return (x-.5)^2+.2;}
pair F(real x) {return (x,f(x));}
real g(real x) {return -(x-.7)^3+.05;}
pair G(real x) {return (x,g(x));}
drawfunc(f,0.1,low,drawpen=red+dashed,fillpen=invisible);
drawfunc(f,high,.9,drawpen=red+dashed,fillpen=invisible);
drawfunc(f,low,high,drawpen=red+1,fillpen=lightgrey);
drawfunc(g,0.1,low,drawpen=blue+dashed,fillpen=invisible);
drawfunc(g,high,.9,drawpen=blue+dashed,fillpen=invisible);
drawfunc(g,low,high,drawpen=blue+1,fillpen=white);
xaxis("$x$",Arrow(HookHead,size=4),above=true);
yaxis("$y$",Arrow(HookHead,size=4));
real d=.03;
label("$x=a$", (low,-d),S);
label("$x=b$", (high,-d),S);
xequals(low,ymin=-.03,ymax=g(low),dashed);
xequals(high,ymin=-.03,ymax=g(high),dashed);
xequals(low,ymin=g(low),ymax=f(low));
xequals(high,ymin=g(high),ymax=f(high));
label("$A$", (.4,.13),N);
label(Label("$y=f(x)$",black), F(.15), NE);
label(Label("$y=g(x)$",black), G(.17),SW);
drawcontinuousbar(i=20,a=.2,dx=.025, shift=0.5, f, drawpen=black, fillpen=grey,g);
label(Label("$dx$", fontsize(9)),G(.7-.0125),S);
label(Label("$f(x)-g(x)$", fontsize(9)),(.7-.025,(f(.7-.0125)+g(.7-.0125))/2),W);
draw((.595,(f(.7-.0125)+g(.7-.0125))/2+.025)--(.595,f(.7-.0125)),black,Arrow(size=5));
yequals(f(.7-.0125),xmin=.518,xmax=.67,dashed);
draw((.595,(f(.7-.0125)+g(.7-.0125))/2-.025)--(.595,g(.7-.0125)),black,Arrow(size=5));
yequals(g(.7-.0125),xmin=.518,xmax=.67,dashed);
draw((.85,(f(.7-.0125)+g(.7-.0125))/2+.05)..(.7-.0125,(f(.7-.0125)+g(.7-.0125))/2+.025),black,Arrow(size=5));
label(Label("$dA$", fontsize(9)),(.85,(f(.7-.0125)+g(.7-.0125))/2+.055),E);
