import graph;
size(400,0);
real f(real x) {return 23/360*x^3+5/18*x^2-49/120*x+1;}
pair F(real x) {return (x,f(x));}
real g(real x) {return 3/2*abs(x-5)-1;}
pair G(real x) {return (x,g(x));}
//xaxis("$x$",Arrow(HookHead,size=4));
// Use Step= to set tick steps.
// OmitFormat removes label, OmitTick removes tick and label.
// endlabel=false removes the last label.
// n=1 removes small ticks.
xaxis(shift(-7,-10)*Label("$x$",align=E),Arrow(HookHead,size=4),ticks=Ticks(n=1,Step=1,Size=3,Label(fontsize(10)),OmitFormat(),OmitTick(0,8)));
//yaxis("$y$",Arrow(HookHead,size=4));
yaxis(ymin=-1.5,ymax=5,shift(-8,-7)*Label("$y$",align=N),Arrow(HookHead,size=4),ticks=Ticks(n=1,Size=3,Label(fontsize(10)),OmitFormat(0),OmitTick(0,5)));
draw(graph(f,-5,3,operator ..),red+2);
draw(graph(g,3,5,operator ..),red+2);
draw(graph(g,5,8,operator ..),red+2);
//xequals(2,ymin=0,ymax=3.5,dashed);
//yequals(f(2),xmin=0,xmax=2,dashed);
//yequals(g(2),xmin=0,xmax=2,dashed);
//labely("L=",5,W);
label("$f(x)$",G(7.5),NW);
//label("$\displaystyle\lim_{x\rightarrow2^-}f(x)=3$",(2.2,2.9),E);
//label("$\displaystyle\lim_{x\rightarrow2^+}f(x)=1$",(2.2,1.2),E);
dot(F(0),4+black);
dot(F(0),3+white);
dot(F(3),4+black);
dot(F(3),3+white);
dot((3,3),4+black);
dot((3,3),3+red);
dot(G(3),4+black);
dot(G(3),3+white);
//dot((2,3.7),4+black);
//dot((2,3.7),3+red);
//dot((2,5),L=Label("$(2,5)$",align=NW),6+black);
//label(Label("$f(-2)$",fontsize(10)),(0,4),E);
